[Story] Deploy Wikibase notifications to Wikimedia projects
Closed, ResolvedPublic

Description

Initial task: T110604: [Story] Notification: Add notification when page is being connected to Wikidata.

Basically, this involves changing $wgWBClientSettings['sendEchoNotification'] to true.

We suggest this plan for deployment:

All the Wikivoyages
Announcement: May 3rd
Deployment: May 9th

All the Wikipedias but en, fr, de
Announcement: May 16th
Deployment: May 30th

Other projects
(Wikispecies, Mediawiki, Wikiversity, Wikibook, Wikisource, Wikiquote, Commons...)
Announcement: May 30th
Deployment: June 13th

Wikipedias en, fr, de
Announcement: August 22th
Deployment: Sept 5th

Between each step, there is room for feedbacks and fixing issues if necessary.

(schedule from https://phabricator.wikimedia.org/T142103#3223284)

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2016, 4:30 PM

Is there anything blocking it? Or does it just need announcing by you or me?

Is there anything blocking it? Or does it just need announcing by you or me?

Since I marked this as Story, I'm currently creating subtasks.

I think resolving T94416 would allow testing this on testwikis. Any update on that, @aude?

thiemowmde triaged this task as Normal priority.Sep 5 2016, 3:40 PM

Gerritbot doesn't make a comment when I make patch:

matej_suchanek removed matej_suchanek as the assignee of this task.Apr 24 2017, 5:42 PM

Change 349984 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable echo notification for wikibase clients in beta cluster

https://gerrit.wikimedia.org/r/349984

It's now enabled in beta cluster but I couldn't get any notification when I made a page and connected it to an item (via an IP account)

Does dispatching work on beta?

Nope, this is the second time not having dispatching is holding us back. I can run it on beta for once but for real testing we should get it done in test wikis.

Change 350396 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sendEchoNotification for test Wikibase clients

https://gerrit.wikimedia.org/r/350396

It's still not working. I will check logs to see why.

matej_suchanek added a comment.EditedApr 26 2017, 1:51 PM

Have you enabled it in your preferences? The default is enabled but only for new users.

Oh, thanks! Now it's working:

I forgot to set the icon :(((((

Change 350418 had a related patch set uploaded (by Paladox; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Set echoIcon for notification of wikibase in test wikis

https://gerrit.wikimedia.org/r/350418

Trizek-WMF added a comment.EditedApr 27 2017, 9:06 AM

I was thinking about this task and its deployment.

Wikidata is a sensitive topic. So before launching this feature, please document it and consider how you want to deploy it? I would advice to advertise users that they can opt-in for this feature in their Notifications preferences. Where deploy it is questioned on T142103.

I've also think about some possible questions or feedback that may be raised up by the users.

  • Some users would be very happy to have a preview of the Wikidata item title and description, for example by having them displayed in the dropdown. Possible?
  • Some users would prefer to have this notification as a line in the watchlist. Possible? If so, when?
  • Some users would like to have a notification when a page is connected to a different item: "The page X has been moved to a different idem"

I may have more feedback later. :)

Change 350418 merged by jenkins-bot:
[operations/mediawiki-config@master] Set echoIcon for notification of wikibase in test wikis

https://gerrit.wikimedia.org/r/350418

Mentioned in SAL (#wikimedia-operations) [2017-04-27T13:52:10Z] <Amir1> start of scap sync-file wmf-config/Wikibase-production.php 'SWAT: Set echoIcon for notification of wikibase in test wikis (T142102)'

Mentioned in SAL (#wikimedia-operations) [2017-04-27T13:52:57Z] <ladsgroup@naos> Synchronized wmf-config/Wikibase-production.php: SWAT: Set echoIcon for notification of wikibase in test wikis (T142102) (duration: 00m 57s)

Change 350584 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Fix echoIcon for wikibase in testwikis

https://gerrit.wikimedia.org/r/350584

Change 350584 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix echoIcon for wikibase in testwikis

https://gerrit.wikimedia.org/r/350584

Trizek-WMF added a subscriber: Lea_Lacroix_WMDE.EditedApr 28 2017, 9:50 AM

I was thinking about this task and its deployment.

Wikidata is a sensitive topic. So before launching this feature, please document it and consider how you want to deploy it? I would advice to advertise users that they can opt-in for this feature in their Notifications preferences. Where deploy it is questioned on T142103.

I've also think about some possible questions or feedback that may be raised up by the users.

  • Some users would be very happy to have a preview of the Wikidata item title and description, for example by having them displayed in the dropdown. Possible?
  • Some users would prefer to have this notification as a line in the watchlist. Possible? If so, when?
  • Some users would like to have a notification when a page is connected to a different item: "The page X has been moved to a different idem".

@Lea_Lacroix_WMDE and I are wondering how and when this feature is going to be activated. @Ladsgroup or @matej_suchanek, any ideas?

I was thinking about this task and its deployment.

Wikidata is a sensitive topic.

Which corresponds with the mission of this feature: make people aware of Wikidata ;)

So before launching this feature, please document it and consider how you want to deploy it? I would advice to advertise users that they can opt-in for this feature in their Notifications preferences. Where deploy it is questioned on T142103.

New users are opt-out, others opt-in (was this the decision, @Lydia_Pintscher?).

I've also think about some possible questions or feedback that may be raised up by the users.

  • Some users would be very happy to have a preview of the Wikidata item title and description, for example by having them displayed in the dropdown. Possible?

If Wikibase has services for this, it should be. But then the code will need some changes with compatibility handling.

  • Some users would prefer to have this notification as a line in the watchlist. Possible? If so, when?

Already possible in watchlist with Wikidata enabled.

  • Some users would like to have a notification when a page is connected to a different item: "The page X has been moved to a different idem"

I recall that the motivation for this kind of notification was to raise awareness about Wikidata but make as few noise as possible. Moreover, I think Wikibase doesn't recognize a "move" action.

Which corresponds with the mission of this feature: make people aware of Wikidata ;)

Yeah. So having mentions of Wikidata displayed everywhere is not why people are complaining, right? :)

So before launching this feature, please document it and consider how you want to deploy it? I would advice to advertise users that they can opt-in for this feature in their Notifications preferences. Where deploy it is questioned on T142103.

New users are opt-out, others opt-in (was this the decision, @Lydia_Pintscher?).

I recommend to opt-out for everyone:

  • people who don't want to have it will not have it
  • people who are not aware of Wikidata will not be disturbed by something they don't understand

I've also think about some possible questions or feedback that may be raised up by the users.

  • Some users would be very happy to have a preview of the Wikidata item title and description, for example by having them displayed in the dropdown. Possible?

If Wikibase has services for this, it should be. But then the code will need some changes with compatibility handling.

  • Some users would prefer to have this notification as a line in the watchlist. Possible? If so, when?

Already possible in watchlist with Wikidata enabled.

  • Some users would like to have a notification when a page is connected to a different item: "The page X has been moved to a different idem"

I recall that the motivation for this kind of notification was to raise awareness about Wikidata but make as few noise as possible. Moreover, I think Wikibase doesn't recognize a "move" action.

Maybe I should subtask al of this.

Thanks @matej_suchanek for your answers.
I also recommand to have the feature in opt-in (disabled by default, to be activated manually in the preferences), for all the users.

I completely understand the idea of having people more aware of Wikidata, what their impact is when they create an article, etc. But I also know that the newcomers have already a lot of information to deal with for understanding the global structure of the Wikimedia projects. I would then let then discover the projects step by step without pushing too much information.

Honestly, I also think that on Wikipedias where Wikidata is a sensitive topic, the announcement of this feature will be way easier if it's disabled by default.

What we can do instead is improving documentation, especially on Wikipedias, to include more information about Wikidata :)

I stand by my decision to have this be opt-out for new users. The whole goal of this is to help new people understand that they should connect their articles to Wikidata items and that they understand that Wikidata holds data about the topic they were writing about. If we do that opt-in we might as well not have this feature at all.

If you would use opt-out for existing users, I know that would gain a lot of negative attention for Wikidata on the Dutch Wikipedia (Wikidata is still a very sensitive subject there). For new users I don't think opt-out is such a big problem. They don't know what Wikidata is and don't have the feeling that they get something forced upon them by the developers once again. Exisiting users on the Dutch Wikipedia tend to get that feeling when something new comes, they didn't ask for and gets implemented by default with or without opt-out possibility. Trying to get awareness for Wikidata and to get Wikidata accepted isn't by forcing Wikidata-things on existing users.
This feature should be announced at least in the Tech News as that gets read a bit more than the Wikidata newsletter on the Dutch Wikipedia.

If you would use opt-out for existing users, I know that would gain a lot of negative attention for Wikidata on the Dutch Wikipedia (Wikidata is still a very sensitive subject there). For new users I don't think opt-out is such a big problem. They don't know what Wikidata is and don't have the feeling that they get something forced upon them by the developers once again. Exisiting users on the Dutch Wikipedia tend to get that feeling when something new comes, they didn't ask for and gets implemented by default with or without opt-out possibility. Trying to get awareness for Wikidata and to get Wikidata accepted isn't by forcing Wikidata-things on existing users.
This feature should be announced at least in the Tech News as that gets read a bit more than the Wikidata newsletter on the Dutch Wikipedia.

You will have the same issue on English and French Wikipedias as well. This is why I suggest to put it in the preferences, but not force opt-in. People can then enable it if they want.

Thanks all for your feedbacks. After further discussions, we agreed on deploying it opt-in (disabled by default) for existing users, and opt-out (enabled by default) for new users.

Plan of deployment is detailed here.

@Lydia_Pintscher, if we need to improve the message, you should create a sub-ticket for this.

The current message is "notification-header-page-connection": "The page <strong>$3</strong> was {{GENDER:$2|connected}} to a {{WBREPONAME}} item." The relevant code is in PageConnectionPresentationModel::getHeaderMessage, see https://phabricator.wikimedia.org/diffusion/EWBA/browse/master/client/includes/Notifications/PageConnectionPresentationModel.php;519c1fb23607e937c3ede647003dab23f32fc48e$57. We can add more parameters to this message. The EchoEvent even has an extra slot for stuff it does not support out of the box.

Announcement done on Wikidata and all the Wikivoyages, for the deployment planned on May 9th.

Change 356165 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable Wikibase notifications for Wikipedias (except enwiki, dewiki, frwiki)

https://gerrit.wikimedia.org/r/356165

Change 356165 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Wikibase notifications for Wikipedias (except enwiki, dewiki, frwiki)

https://gerrit.wikimedia.org/r/356165

Mentioned in SAL (#wikimedia-operations) [2017-05-30T13:35:42Z] <aude@tin> Synchronized wmf-config/Wikibase-production.php: Enable Wikibase echo notifications on Wikipedia, except enwiki, dewiki, frwiki T142102 (duration: 00m 42s)

aude updated the task description. (Show Details)Jun 13 2017, 12:27 PM
aude updated the task description. (Show Details)

Change 358580 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable Wikidata echo notifications for all wikis (except enwiki, frwiki, dewiki)

https://gerrit.wikimedia.org/r/358580

Change 358580 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable Wikidata echo notifications for all wikis (except enwiki, frwiki, dewiki)

https://gerrit.wikimedia.org/r/358580

Mentioned in SAL (#wikimedia-operations) [2017-06-13T13:04:54Z] <hashar@tin> Synchronized wmf-config/Wikibase-production.php: Enable Wikidata echo notifications for all wikis (except enwiki, frwiki, dewiki) - T142102 (duration: 00m 42s)

Change 375974 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable sendEchoNotification for all wikis

https://gerrit.wikimedia.org/r/375974

Change 375974 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sendEchoNotification for all wikis

https://gerrit.wikimedia.org/r/375974

Mentioned in SAL (#wikimedia-operations) [2017-09-05T12:15:35Z] <ladsgroup@tin> Synchronized wmf-config/Wikibase-production.php: Enable sendEchoNotification for enwiki, dewiki, frwiki (T142102) (duration: 00m 46s)

The deployment is done now.

Lydia_Pintscher closed this task as Resolved.Tue, Sep 5, 4:58 PM
Lydia_Pintscher claimed this task.

Yes :)
Thanks everyone!